info.bioinfweb.jphyloio.formats.xml.elementreaders

## Class XMLStartElementReader

- java.lang.Object
- - info.bioinfweb.jphyloio.formats.xml.elementreaders.AbstractXMLElementReader
  - - info.bioinfweb.jphyloio.formats.xml.elementreaders.XMLStartElementReader

- All Implemented Interfaces:
    XMLElementReader
  Direct Known Subclasses:
    XTGFormattedTextElementReader

      public class XMLStartElementReader
      extends AbstractXMLElementReader

  Element reader that is used to process XML start elements.
  Author:
    Sarah Wiechers

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLStartElementReader(javax.xml.namespace.QName literalPredicate, javax.xml.namespace.QName resourcePredicate, URIOrStringIdentifier datatype, boolean isEdgeMeta, AttributeInfo... attributeInformation)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.LinkedHashMap<javax.xml.namespace.QName,AttributeInfo>` | `getAttributeInformationMap()`
    `protected javax.xml.namespace.QName` | `getResourcePredicate()`
    `protected boolean` | `isEdgeMeta()`
    `void` | `readEvent(XMLReaderStreamDataProvider streamDataProvider, javax.xml.stream.events.XMLEvent event)`

    - ### Methods inherited from class info.bioinfweb.jphyloio.formats.xml.elementreaders.AbstractXMLElementReader

      `readAttributes, readAttributes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLStartElementReader

          public XMLStartElementReader(javax.xml.namespace.QName literalPredicate,
                                       javax.xml.namespace.QName resourcePredicate,
                                       URIOrStringIdentifier datatype,
                                       boolean isEdgeMeta,
                                       AttributeInfo... attributeInformation)

  - ### Method Detail

    - #### getResourcePredicate

          protected javax.xml.namespace.QName getResourcePredicate()

    - #### isEdgeMeta

          protected boolean isEdgeMeta()

    - #### getAttributeInformationMap

          public java.util.LinkedHashMap<javax.xml.namespace.QName,AttributeInfo> getAttributeInformationMap()

    - #### readEvent

          public void readEvent(XMLReaderStreamDataProvider streamDataProvider,
                                javax.xml.stream.events.XMLEvent event)
                         throws java.io.IOException,
                                javax.xml.stream.XMLStreamException

      Throws:
        `java.io.IOException`
        `javax.xml.stream.XMLStreamException`